import { TextOrientation, UUID, WorkerRunSummary, ElementZone } from '@/types'

export interface Transcription {
  id: UUID
  text: string
  confidence: number | null
  orientation: TextOrientation
  worker_version_id: UUID | null
  worker_run: WorkerRunSummary | null
}

export interface ElementTranscription extends Transcription {
  element: ElementZone
}
